@ECHO OFF

:: AFLR43 runs

aflr43 -i box.egads -log -Memory_Monitor -AFLR3 -o a43_box.mesh -bl -blds 0.01

aflr43 -i match1.egads -log -Memory_Monitor -AFLR3 -o a43_match1.mesh

aflr43 -i match2.egads -log -Memory_Monitor -AFLR3 -o a43_match2.mesh

aflr43 -i match3.egads -log -Memory_Monitor -AFLR3 -o a43_match3.mesh

aflr43 -i mel.egads -log -Memory_Monitor -std_ids 1,2,4,6,7 -bl_ids 8,9 -int_ids 3,5 -keep_bodies 0, -ref_len 0.1 -AFLR3 -o a43_mel.mesh -bl -blds 0.01

aflr43 -i cylinder_wake.egads -log -Memory_Monitor -bl_ids 1-4 -ff_ids 6-11 -trnsp_intl_bl_ids 5, ref_len=3 -AFLR3 -o a43_cylinder_wake.mesh -bl -blds 0.01

aflr43 -i piston.egads -log -Memory_Monitor -bl_ids 1,6,7 -bl_ints 2,3,4,5 -sf_global 2 -AFLR3 -o a43_piston.mesh -bl -blds 0.1

aflr43 -i wing_wake.egads -log -Memory_Monitor -ref_len 2 -AFLR3 -o a43_wing_wake.mesh -grow1 -blds 0.01

:: equivalent AFLR4 and AFLR3t runs

aflr4 -i box.egads -o a4_box.mesh -log -Memory_Monitor
aflr3t -i a4_box.egads -o a3_box.mesh -log -Memory_Monitor -bl -blds 0.01

aflr4 -i match1.egads -log -Memory_Monitor -o a4_match1.mesh
aflr3t -i a4_match1.egads -log -Memory_Monitor -o a3_match1.mesh

aflr4 -i match2.egads -log -Memory_Monitor -o a4_match2.mesh
aflr3 -i a4_match2.egads -log -Memory_Monitor -o a3_match2.mesh

aflr4 -i match3.egads -log -Memory_Monitor -o a4_match3.mesh
aflr3 -i a4_match3.egads -log -Memory_Monitor -o a3_match3.mesh

aflr4 -i mel.egads -o a4_mel.mesh -log -Memory_Monitor -std_ids 1,2,4,6,7 -bl_ids 8,9 -int_ids 3,5 -keep_bodies 0, -ref_len 0.1
aflr3t -i a4_mel.egads -o a3_mel.mesh -log -Memory_Monitor -bl -blds 0.01

aflr4 -i cylinder_wake.egads -o a4_cylinder_wake.mesh -log -Memory_Monitor -bl_ids 1-4 -ff_ids 6-11 -trnsp_intl_bl_ids 5, ref_len=3
aflr3t -i a4_cylinder_wake.egads -o a3_cylinder_wake.mesh -log -Memory_Monitor -bl -blds 0.01

aflr4 -i piston.egads -o a4_piston.mesh -log -Memory_Monitor -bl_ids 1,6,7 -bl_ints 2,3,4,5 -sf_global 2
aflr3t -i a4_piston.egads -o a3_piston.mesh -log -Memory_Monitor -bl -blds 0.1

aflr4 -i wing_wake.egads -o a4_wing_wake.mesh -log -Memory_Monitor -ref_len 2
aflr3t -i a4_wing_wake.egads -o a3_wing_wake.mesh -log -Memory_Monitor -grow1 -blds 0.01 

:: AFLR43 quad runs

aflr43 -i box.egads -log -Memory_Monitor -quad -AFLR3 -o q43_box.mesh -bl -blds 0.01 -blc2

aflr43 -i mel.egads -log -Memory_Monitor -std_ids 1,2,4,6,7 -bl_ids 8,9 -int_ids 3,5 -keep_bodies 0, -ref_len 0.1 -quad -AFLR3 -o q43_mel.mesh -bl -blds 0.01 -blc2

aflr43 -i cylinder_wake.egads -log -Memory_Monitor -bl_ids 1-4 -ff_ids 6-11 -trnsp_intl_bl_ids 5, ref_len=3 -quad -AFLR3 -o q43_cylinder_wake.mesh -bl -blds 0.01 -blc2

aflr43 -i piston.egads -log -Memory_Monitor -bl_ids 1,6,7 -bl_ints 2,3,4,5 -sf_global 2 -quad -AFLR3 -o q43_piston.mesh -bl -blds 0.1 -blc2

aflr43 -i wing_wake.egads -log -Memory_Monitor -ref_len 2 -quad -AFLR3 -o q43_wing_wake.mesh -grow1 -blds 0.01 -blc2

:: equivalent AFLR4 quad and AFLR3t runs

aflr4 -i box.egads -o q4_box.mesh -log -Memory_Monitor -quad
aflr3t -i q4_box.egads -o q3_box.mesh -log -Memory_Monitor -bl -blds 0.01 -blc2

aflr4 -i mel.egads -o q4_mel.mesh -log -Memory_Monitor -std_ids 1,2,4,6,7 -bl_ids 8,9 -int_ids 3,5 -keep_bodies 0, -ref_len 0.1 -quad
aflr3t -i q4_mel.egads -o q3_mel.mesh -log -Memory_Monitor -bl -blds 0.01 -blc2

aflr4 -i cylinder_wake.egads -o q4_cylinder_wake.mesh -log -Memory_Monitor -bl_ids 1-4 -ff_ids 6-11 -trnsp_intl_bl_ids 5, ref_len=3 -quad
aflr3t -i q4_cylinder_wake.egads -o q3_cylinder_wake.mesh -log -Memory_Monitor -bl -blds 0.01 -blc2

aflr4 -i piston.egads -o q4_piston.mesh -log -Memory_Monitor -bl_ids 1,6,7 -bl_ints 2,3,4,5 -sf_global 2 -quad
aflr3t -i q4_piston.egads -o q3_piston.mesh -log -Memory_Monitor -bl -blds 0.1 -blc2

aflr4 -i wing_wake.egads -o q4_wing_wake.mesh -log -Memory_Monitor -ref_len 2 -quad
aflr3t -i q4_wing_wake.egads -o q3_wing_wake.mesh -log -Memory_Monitor -grow1 -blds 0.01 -blc2

